/**
 * section_files
 * @version	2.0
 * @release	27-10-205
 * @author	msolowski Marcin Sołowski
 * @website	http://msolowski.pl
 */

.section_files.background_lead .contener > *
{
	color: var(--root_color_lead) !important;
}

.section_files.background_lead .content a
{
	color: var(--root_color_lead) !important;
}

.section_files.background_lead .content a:hover
{
	color: var(--root_color_lead) !important;
}

.section_files.background_lead .link .global_link
{
	color: var(--root_color_lead) !important;
}

.section_files.background_lead .link .global_link::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='24' height='25' viewBox='0 0 24 25' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M5 12.3008H19M19 12.3008L12 5.30078M19 12.3008L12 19.3008' stroke='%23f5ebd5' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e") !important;
}

.section_files.background_lead .link .global_button
{
/*	--global_button_color:				var(--root_color_dark) !important;
	--global_button_background_color:	var(--root_color_lead) !important;
	--global_button_color_h:			var(--root_color_dark) !important;
	--global_button_background_color_h:	var(--root_color_white) !important; */
}

/**********************************************************************************/

.section_files .file
{
	padding-top: var(--global_size_20);
	padding-bottom: var(--global_size_20);
	border-bottom: 1px solid rgba(26, 26, 26, 0.20);
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: 100%;
}

.section_files.background_lead .file
{
	border-bottom: 1px solid rgba(229, 229, 229, 0.20);
}

.section_files .file .file_icon
{
	--min_icon_width: 32;
	--max_icon_width: 32;
	--icon_width:
		clamp(calc(var(--min_icon_width) * 1px),
		calc((((-1 * var(--global_scm_var)) * ((var(--max_icon_width) - var(--min_icon_width)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_icon_width)) * 1px)
		+ ((var(--max_icon_width) - var(--min_icon_width)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)),
		calc(var(--max_icon_width) * 1px));
	min-width: var(--icon_width);
	width: var(--icon_width);
	height: var(--icon_width);
	height: 32px;
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='32' height='32' viewBox='0 0 32 32' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M18.6663 2.66797V8.0013C18.6663 8.70855 18.9473 9.38682 19.4474 9.88692C19.9475 10.387 20.6258 10.668 21.333 10.668H26.6663M19.9997 2.66797H7.99967C7.29243 2.66797 6.61415 2.94892 6.11406 3.44902C5.61396 3.94911 5.33301 4.62739 5.33301 5.33464V26.668C5.33301 27.3752 5.61396 28.0535 6.11406 28.5536C6.61415 29.0537 7.29243 29.3346 7.99967 29.3346H23.9997C24.7069 29.3346 25.3852 29.0537 25.8853 28.5536C26.3854 28.0535 26.6663 27.3752 26.6663 26.668V9.33464L19.9997 2.66797Z' stroke='%2321312D' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: 0 50%;
	background-size: contain;
	margin-right: var(--global_size_20);
}

.section_files.background_lead .file .file_icon
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='32' height='32' viewBox='0 0 32 32' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M18.6663 2.66797V8.0013C18.6663 8.70855 18.9473 9.38682 19.4474 9.88692C19.9475 10.387 20.6258 10.668 21.333 10.668H26.6663M19.9997 2.66797H7.99967C7.29243 2.66797 6.61415 2.94892 6.11406 3.44902C5.61396 3.94911 5.33301 4.62739 5.33301 5.33464V26.668C5.33301 27.3752 5.61396 28.0535 6.11406 28.5536C6.61415 29.0537 7.29243 29.3346 7.99967 29.3346H23.9997C24.7069 29.3346 25.3852 29.0537 25.8853 28.5536C26.3854 28.0535 26.6663 27.3752 26.6663 26.668V9.33464L19.9997 2.66797Z' stroke='%23f5ebd5' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_files .file .file_name
{
	flex: 1 1 auto;
	margin-right: var(--global_size_20);
}

.section_files.background_lead .file .file_name
{
	color: var(--root_color_lead);
}

.section_files .file .file_size
{
	color: rgba(0, 0, 0, 0.5);
}

.section_files.background_lead .file .file_size
{
	color: rgba(255, 255, 255, 0.5);
}

.section_files .file .file_url
{
	display: flex;
	align-items: center;
	font-weight: 500;
}

.section_files.background_lead .file .file_url
{
	color: var(--root_color_white);
}

.section_files .file .file_url:hover
{
	color: var(--root_color_black);
}

.section_files.background_lead .file .file_url:hover
{
	color: var(--root_color_lead);
}

.section_files .file .file_url::after
{
	--min_icon_width: 16;
	--max_icon_width: 16;
	--icon_width:
		clamp(calc(var(--min_icon_width) * 1px),
		calc((((-1 * var(--global_scm_var)) * ((var(--max_icon_width) - var(--min_icon_width)) / (var(--global_sc_var) - var(--global_scm_var))) + var(--min_icon_width)) * 1px)
		+ ((var(--max_icon_width) - var(--min_icon_width)) / (var(--global_sc_var) - var(--global_scm_var)) * 100vw)),
		calc(var(--max_icon_width) * 1px));
	min-width: var(--icon_width);
	width: var(--icon_width);
	height: var(--icon_width);
	height: 32px;
	content: '';
	display: block;
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='14' height='14' viewBox='0 0 14 14' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M12.665 8.66406V11.3307C12.665 11.6844 12.5246 12.0235 12.2745 12.2735C12.0245 12.5236 11.6853 12.6641 11.3317 12.6641H1.99837C1.64475 12.6641 1.30561 12.5236 1.05556 12.2735C0.805515 12.0235 0.665039 11.6844 0.665039 11.3307V8.66406M3.33171 5.33073L6.66504 8.66406M6.66504 8.66406L9.99837 5.33073M6.66504 8.66406V0.664062' stroke='%2321312D' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: 0 50%;
	background-size: contain;
	margin-left: var(--global_size_10);
}

.section_files.background_lead .file .file_url::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='14' height='14' viewBox='0 0 14 14' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M12.665 8.66406V11.3307C12.665 11.6844 12.5246 12.0235 12.2745 12.2735C12.0245 12.5236 11.6853 12.6641 11.3317 12.6641H1.99837C1.64475 12.6641 1.30561 12.5236 1.05556 12.2735C0.805515 12.0235 0.665039 11.6844 0.665039 11.3307V8.66406M3.33171 5.33073L6.66504 8.66406M6.66504 8.66406L9.99837 5.33073M6.66504 8.66406V0.664062' stroke='white' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_files .file .file_url:hover::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='14' height='14' viewBox='0 0 14 14' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M12.665 8.66406V11.3307C12.665 11.6844 12.5246 12.0235 12.2745 12.2735C12.0245 12.5236 11.6853 12.6641 11.3317 12.6641H1.99837C1.64475 12.6641 1.30561 12.5236 1.05556 12.2735C0.805515 12.0235 0.665039 11.6844 0.665039 11.3307V8.66406M3.33171 5.33073L6.66504 8.66406M6.66504 8.66406L9.99837 5.33073M6.66504 8.66406V0.664062' stroke='%23000000' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

.section_files.background_lead .file .file_url:hover::after
{
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg width='14' height='14' viewBox='0 0 14 14' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M12.665 8.66406V11.3307C12.665 11.6844 12.5246 12.0235 12.2745 12.2735C12.0245 12.5236 11.6853 12.6641 11.3317 12.6641H1.99837C1.64475 12.6641 1.30561 12.5236 1.05556 12.2735C0.805515 12.0235 0.665039 11.6844 0.665039 11.3307V8.66406M3.33171 5.33073L6.66504 8.66406M6.66504 8.66406L9.99837 5.33073M6.66504 8.66406V0.664062' stroke='%23f5ebd5' stroke-width='1.33' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
}

/**********************************************************************************/

@media screen and (max-width: 1680px)
{
}

@media screen and (max-width: 1600px)
{
}

@media screen and (max-width: 1440px)
{
}

@media screen and (max-width: 1366px)
{
}

@media screen and (max-width: 1300px)
{
}

@media screen and (max-width: 1200px)
{
	
}

@media screen and (max-width: 1024px)
{
}

@media screen and (max-width: 800px)
{
}

@media screen and (max-width: 640px)
{
}

@media screen and (max-width: 480px)
{
}

@media screen and (max-width: 360px)
{
}